Name: H5Tset_tag
Signature:
  herr_t `H5Tset_tag`(hid_t `type_id` const char *`tag` )
Purpose:
  Tags an opaque datatype.
Description:
  `H5Tset_tag` tags an opaque datatype `type_id` with a descriptive ASCII identifier,`tag`.

  `tag` is intended to provide a concise description; the maximum size is hard-coded in the HDF5 Library as 256 bytes (`H5T_OPAQUE_TAG_MAX`).

Parameters:

hid_t `type_id` | IN: Datatype identifier for the opaque datatype to be tagged.
const char *`tag` | IN: Descriptive ASCII string with which the opaque datatype is to be tagged.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tset_tag_f

      SUBROUTINE h5tset_tag_f(type_id, tag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        CHARACTER(LEN=*), INTENT(IN) :: tag   ! Unique ASCII string with which the
                                              ! opaque datatype is to be tagged
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tset_tag_f

History:

Release | C
1.6.5 | The `H5T_OPAQUE_TAG_MAX` macro constant, specifying the maximum size of an opaque datatype tag, was added in `H5Tpublic.h`.